#include <stdio.h>

int main()
{
    int i,j,k,n=0;
    unsigned int N;
    scanf("%u",&N);
    int p=2*N+1, koordinate[p][p];
    int pozicija[2], razlika[p];
    for(i=0;i<p;i++){
        razlika[i]=0;
        for(j=0;j<p;j++)
            koordinate[i][j]=0;
    }
    for(i=0;i<N;i++){
        scanf("%d", &pozicija[0]);
        scanf("%d", &pozicija[1]);
        koordinate[p/2+1-pozicija[0]][p/2+1+pozicija[1]]=1;
     }
    for(i=0;i<p;i++){
        for(j=0;j<p;j++){
            if(koordinate[i][j]==1){
                razlika[i]=j;
                j++;
                while(j<p&&koordinate[i][j]!=1){
                    j++;
                }
                if(koordinate[i][j]==1)
                    razlika[i]=j-razlika[i];
            }
        }
    }
    for(i=0;i<p;i++){
        if(razlika[i]){
            i++;
            while(!razlika[i])
                i++;
            n++;
        }
    }
    printf("%d",n);
    return 0;
}